newBirthDescriptor{
   type = "subclass",
   name = "Animal Kin",
   no_npc_use = true,
   no_on_random_boss = true,
   locked = function() return profile.mod.allow_build.wilder_summoner end,
   locked_desc = "You must already be familiar with calling upon the aid of nature in times of dire need.",
	desc = {
      "You are closely attuned to the magic of the furrae, perhaps even being one yourself. You feel an instinctive connection with the animals of the world.",
      "You can call them to your side, conjuring echoes of their primal power to attack your enemies, protect you, and assist, so long as you give them proper respect.",
      "Your kinship extends to enraged beasts you may encounter, allowing you to weave powerful friendships with them, and making them falter when attacking you.",
      "They use: Willpower and Cunning.",
      "#GOLD#Stat modifiers:",
      "#LIGHT_BLUE# * +0 Strength, +1 Dexterity, +1 Constitution",
      "#LIGHT_BLUE# * +0 Magic, +5 Willpower, +2 Cunning",
      "#GOLD#Life per level:#LIGHT_BLUE# +0",
--	  "#GOLD#If you are a furrae race, you will find this path easier to walk.",
   },
	power_source = {nature=true},
	getStatDesc = function(stat, actor)
		if stat == actor.STAT_CUN then
			return "Max summons: "..math.floor(actor:getCun()/10)
		end
	end,
   stats = { wil=5, cun=2, dex=1, con=1 },
   talents_types = {
		["wild-gift/call"]={true, 0.2},
		["wild-gift/harmony"]={false, 0.1},
		["wild-gift/summon-melee"]={true, 0.3},
		["wild-gift/animal-kinship"]={true, 0.3},
		["wild-gift/natural-vengeance"]={true, 0.3},
		["wild-gift/animal-training"]={true, 0},
		--["technique/archery-sling"]={true, 0.3},
		--["technique/archery-base"]={true, 0},
		["wild-gift/summon-distance"]={false, 0},
		["wild-gift/summon-utility"]={false, 0},
		["wild-gift/summon-augmentation"]={false, 0.3},
		["wild-gift/summon-advanced"]={false, 0.3},
		["wild-gift/mindstar-mastery"]={false, 0.1},
		["cunning/survival"]={true, 0},
		["technique/combat-techniques-active"]={false, 0},
		["technique/combat-techniques-passive"]={false, 0},
		["technique/combat-training"]={true, 0},
   },
   talents = {
		[ActorTalents.T_WAR_HOUND] = 1,
		[ActorTalents.T_MEDITATION] = 1,
		[ActorTalents.T_HEIGHTENED_SENSES] = 1,
		--[ActorTalents.T_SHOOT] = 1,
   },
   
	copy = {
		max_life = 90,
		resolvers.equip{ id=true,
			{type="weapon", subtype="mindstar", name="mossy mindstar", autoreq=true, ego_chance=-1000},
			{type="weapon", subtype="mindstar", name="mossy mindstar", autoreq=true, ego_chance=-1000},
			{type="armor", subtype="light", name="rough leather armour", autoreq=true, ego_chance=-1000},
		},
		resolvers.generic(
			function(e)
				game.logPlayer(game.player, "Starting animal friend creation.")
				local g = require("mod.class.NPC").new{
					type = "animal", subtype = "friend",
					display = 'c', color=colors.WHITE, image = "npc/canine_w.png",
			--		level_range = {1, 50}, exp_worth=0,
					level_range = {1, e.max_level}, exp_worth=0,
					life_rating = 13,
					never_anger = true,
					save_hotkeys = true,

					combat = { dam=10, atk=10, apr=0, dammod={str=1} },

					body = { INVEN = 1000, QS_MAINHAND = 0, QS_OFFHAND = 0, MAINHAND = 0, OFFHAND = 0, BODY=1, GEM=0 },
					infravision = 2,
					rank = 2,
					size_category = 4,
					inscription_restrictions = { ["inscriptions/runes"] = true, },
					resolvers.inscription("RUNE:_SHIELDING", {cooldown=14, dur=5, power=100}),

					hotkey = {},
					hotkey_page = 1,
					move_others = true,

					ai = "tactical",
					ai_state = { talent_in=1, ai_move="move_astar", ally_compassion=10 },
					ai_tactic = resolvers.tactic"tank",
					stats = { str=10, dex=10, mag=10, con=10 },

					-- No natural exp gain
					gainExp = function() end,

					on_can_control = function(self, vocal)
						return true
					end,

					unused_stats = 0,
					unused_talents = 0,
					unused_generics = 0,
					unused_talents_types = 0,
					no_npc_use = true,
					no_on_random_boss = true,

					no_points_on_levelup = true,

					keep_inven_on_death = true,
			--		no_auto_resists = true,
					open_door = false,
					can_change_level = true,
				}
				game.logPlayer(game.player, "Finishing animal friend creation.")
				e.animalfriend = game.zone:finishEntity(game.level, "actor", g)
				if game.party:hasMember(e) then
					game.party:addMember(e.animalfriend, {
						control="full", type="minion", title="Animal Friend", important=true,
						orders = {target=true, leash=true, anchor=true, talents=true, behavior=true},
					})
				end
				e.animalfriend.no_breath = 1
				e.animalfriend.forceLevelup = function(self) 
					if self.summoner then 
						if not ( self.level < self.summoner.level ) then return nil end
						x = self.level
						zeta = mod.class.Actor.forceLevelup(self, self.summoner.level) 
						if x < self.level then
							for z=x + 1,self.level,1 do
								self.unused_stats = self.unused_stats + 1
								if z >= 2 and z % 3 == 0 then self.unused_talents = self.unused_talents + 1 end
								if z >= 2 and z % 3 == 0 then self.unused_generics = self.unused_generics + 1 end
								if z >= 2 and z % math.floor( 10 + ( 3 * ( self.rank - 2 ) ) ) == 0 then self.unused_talents_types = self.unused_talents_types + 1 end
							end
						end
						return zeta
					end 
				end
				e.animalfriend.faction = e.faction
				e.animalfriend.equipdoll = "animal"
				e.animalfriend.name = "Animal Friend (servant of "..e.name..")"
				e.animalfriend.summoner = e
				e.animalfriend.summoner_gain_exp = true
				game.logPlayer(game.player, "Placing animal friend.")
				local Map = require "engine.Map" 
				local x, y = util.findFreeGrid(e.x, e.y, 5, true, {[Map.ACTOR]=true})
				game.zone:addEntity(game.level, e.animalfriend, "actor", x, y)
				return nil
			end 
		),

	},
   copy_add = {
      life_rating = 0,
   },
}

-- Add to wilder
getBirthDescriptor("class", "Wilder").descriptor_choices.subclass['Animal Kin'] = "allow"